## yuki-iptv 0.0.19

=== Makefile ===
all: buildmo

buildmo:
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/\.po//' | sed 's/yuki-iptv-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/yuki-iptv.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

lint:
	black --check --diff usr/lib/yuki-iptv/yuki_iptv usr/lib/yuki-iptv/yuki-iptv.py generate_desktop_files
	flake8 .

format:
	black usr/lib/yuki-iptv/yuki_iptv usr/lib/yuki-iptv/yuki-iptv.py generate_desktop_files

=== debian/changelog ===
yuki-iptv (0.0.19-1mx23) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Dec 2025 18:57:26 -0800

yuki-iptv (0.0.19) unstable; urgency=medium

  * Update python-mpv
  * l10n: Update translations
  * Activate word wrap for QListWidgets
  * Multi-EPG: add channel group filter
  * Less transparency for fullscreen panels
  * Add Enable transparency for floating panels option

 -- liya <liyaastrova@proton.me>  Mon, 16 Jun 2025 20:15:39 +0000

yuki-iptv (0.0.18) unstable; urgency=medium

  * Translations update from Codeberg Translate
  * Show channel name in playlist dock
  * Add size grip for fullscreen playlist

 -- liya <liyaastrova@proton.me>  Wed, 08 Jan 2025 21:10:39 +0000

yuki-iptv (0.0.17) unstable; urgency=medium

  * Playlist window refactoring
  * Remove Wand dependency
  * Set OSC type to slimbox
  * Set vo to gpu-next,gpu,x11

 -- liya <liyaastrova@proton.me>  Fri, 20 Dec 2024 13:53:47 +0000

yuki-iptv (0.0.16) unstable; urgency=medium

  * Add Multi-EPG
  * Add support for "Origin" HTTP header
  * Better mpv options parsing
  * Fix XTream crash with empty category id

 -- liya <liyaastrova@proton.me>  Fri, 06 Dec 2024 05:09:19 +0000

yuki-iptv (0.0.15) unstable; urgency=medium

  * Translations update from Codeberg Translate
  * Fix exInMainThread_partial crash
  * Remove unneeded player options
  * Add Low latency mode option

 -- liya <liyaastrova@proton.me>  Wed, 23 Oct 2024 00:02:18 +0000

yuki-iptv (0.0.14) unstable; urgency=medium

  * l10n: Update translations
  * Update XTream library
  * Update python-mpv
  * Remove support for Pillow
  * Remove support for GNOME inhibit
  * Remove support for hardware acceleration
  * Fix XTream crash with empty category id
  * Fix XTream crash when creating cache directory
  * Disable styles redefinition
  * Always enable catchup
  * Async XTream series loading

 -- liya <liyaastrova@proton.me>  Sun, 06 Oct 2024 23:42:53 +0000

yuki-iptv (0.0.13) unstable; urgency=medium

  * l10n: Update translations
  * debian/control: Move yt-dlp to recommends
  * Add sorting for categories
  * Show EPG description
  * Show EPG percentage more precisely
  * Drop Qt 5 support
  * Add support for GNOME and org.freedesktop.ScreenSaver Inhibit

 -- liya <liyaastrova@proton.me>  Mon, 02 Sep 2024 22:30:06 +0000

yuki-iptv (0.0.12) unstable; urgency=medium

  * Translations update from Weblate
  * Change record format to ts
  * Load Qt system translations
  * Add resize grip to playlist in separate window
  * Add support for custom channel logos
  * Better libmpv API version check

 -- liya <liyaastrova@proton.me>  Thu, 04 Jul 2024 19:30:08 +0000

yuki-iptv (0.0.11) unstable; urgency=medium

  * Translations update from Weblate
  * libmpv 0.38.0 fixes
  * Restore channel sorting
  * More verbose exceptions
  * Add "Floating panel position" - "Separate window" option
  * Add option "Hide playlist by left mouse click"
  * Fix "Bad paging"
  * Fix "Jumpy label"
  * Fix "No autoplay after Playing error"
  * Fix "RuntimeError: wrapped C/C++ object of type QAction has been deleted"
  * Fix "Wrong Qt version reported"
  * Disable debug logging for MPRIS

 -- liya <liyaastrova@proton.me>  Fri, 19 Apr 2024 19:51:06 +0000

yuki-iptv (0.0.10) unstable; urgency=medium

  * Translations update from Weblate
  * Show channel URL in stream information window
  * Do not crash if save folder is not writable
  * Fix aspect ratio in channel logos
  * xspf: Add support for logos and VLC extensions
  * Fix crash if EPG title is None
  * Fix playing error not shown correctly in fullscreen mode
  * Remove channel sorting
  * Fix MPRIS
  * Fix VOD matching
  * Add EPG id for XTream channels

 -- liya <liyaastrova@proton.me>  Sun, 17 Mar 2024 12:37:31 +0000

yuki-iptv (0.0.9) unstable; urgency=medium

  * l10n: Update translations
  * Respect XDG environment variables
  * Fix YouTube channels recording
  * Add file filter when adding playlist
  * Add file filter when opening file in M3U editor

 -- liya <liyaastrova@proton.me>  Tue, 23 Jan 2024 04:13:28 +0000

yuki-iptv (0.0.8) unstable; urgency=medium

  * l10n: Update translations
  * Fix parsing channel name with comma
  * Show audio/video desynchronization
  * Show group in channel tooltip
  * Add ability to select EPG date
  * Fix osc disabling via mpv options
  * Fix crashing if save settings called when EPG is updating
  * Fix page selection taking focus and blocking keybinds
  * Fix crash in channel search
  * Add rewind
  * Add frame-step and frame-back-step commands
  * Fix loading playlists with trailing spaces in URL
  * Fix crashing in movies
  * Fix requests timeout
  * Fix changing playlist name when editing it
  * Update XTream library
  * Show XTream expiration dates in playlists window
  * Fix catchup on XTream playlists
  * Load EPG for XTream

 -- liya <liyaastrova@proton.me>  Tue, 07 Nov 2023 08:23:17 +0000

yuki-iptv (0.0.7) unstable; urgency=medium

  * Fix encoding in remote playlists
  * Use Wand for channel logos
  * Add tvg-group tag support

 -- liya <liyaastrova@proton.me>  Mon, 05 Jun 2023 22:30:31 +0000

yuki-iptv (0.0.6) unstable; urgency=medium

  * Add 'Hide EPG from playlist' option
  * Add 'Multicast optimization' option
  * Fix control panel not aware of multiple screens
  * Detect group in xspf playlists
  * Increase connect and read timeout

 -- liya <liyaastrova@proton.me>  Sun, 14 May 2023 20:53:12 +0000

yuki-iptv (0.0.5) unstable; urgency=medium

  * Load EPG for all days available

 -- liya <liyaastrova@proton.me>  Tue, 02 May 2023 05:56:35 +0000

yuki-iptv (0.0.4) unstable; urgency=medium

  * Optimize channel logos load
  * Show warning if ffmpeg crashed
  * Remember video / audio / subtitle tracks for channel
  * Add subtitles selector
  * Fix pause button behaviour on changing channels
  * UI improvements
  * packaging: add python3-pydbus to depends

 -- liya <liyaastrova@proton.me>  Sat, 15 Apr 2023 18:52:48 +0000



=== debian/control ===
Source: yuki-iptv
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: liya <liyaastrova@proton.me>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13)
Homepage: https://codeberg.org/liya/yuki-iptv
Vcs-Git: https://codeberg.org/liya/yuki-iptv.git
Vcs-Browser: https://codeberg.org/liya/yuki-iptv
Rules-Requires-Root: no

Package: yuki-iptv
Architecture: all
Depends: ffmpeg,
         libmpv2,
         python3,
         python3-chardet,
         python3-gi,
         python3-pyqt6,
         python3-requests
Suggests: yt-dlp
Description: IPTV player with EPG support
 yuki-iptv is an IPTV player with many features, such as:
  * M3U / XSPF playlists support
  * XTream API support
  * TV guide (EPG) support
  * Stream recording
  * Playlist editor
  * TV archive / catchup
  * ...
